import numpy as np
import matplotlib.pyplot as plt

g=-9.81

dt=1e-2 #vremenski korak

# povesti racuna da se "like" odnosi i na dtype
H=np.linspace(10,10000, 100, dtype='int') # visine
V=np.zeros_like(H)
T=np.zeros_like(H)

br=-1
for h in H:

    br+=1

    v = 0
    t = 0

    while h>0:
        h=h+v*dt
        v=v+g*dt
        t+=dt

    V[br]=v
    T[br]=t


# PLOTOVANJE

plt.figure()
plt.plot(H,V)
plt.xlabel('pocetna visina [m]')
plt.ylabel('brzina udara [m/s]')
plt.title('Zavisnost brzine od pocetne visine')
plt.show()

plt.figure()
plt.plot(H,T)
plt.xlabel('pocetna visina [m]')
plt.ylabel('vreme padanja [m/s]')
plt.title('Zavisnost vremena padanja od pocetne visine')
plt.show()